> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finhost.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get KYB access token for company

> Get KYB access token for company



## OpenAPI

````yaml get /v2/companies/{companyId}/kyb-access-token
openapi: 3.1.0
info:
  title: FinHost WLB Client API
  description: FinHost WLB Client API
  version: 2.0.0
servers:
  - url: https://client-api.dev.finhost.io
security: []
tags:
  - name: contracts
    description: Contracts
  - name: clients
    description: Clients
  - name: companies
    description: Companies
  - name: accounts
    description: Accounts
  - name: recipients
    description: Recipients
  - name: transfer
    description: Transfer operations
  - name: exchange
    description: Exchange operations
paths:
  /v2/companies/{companyId}/kyb-access-token:
    get:
      tags:
        - companies
      summary: Get KYB access token for company
      description: Get KYB access token for company
      parameters:
        - description: Company ID
          name: companyId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - token
                  - userId
                properties:
                  token:
                    type: string
                  userId:
                    type: string
                    format: uuid
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                oneOf:
                  - description: Company contract is not acceptable
                    type: object
                    additionalProperties: false
                    required:
                      - message
                    properties:
                      message:
                        type: string
                        enum:
                          - Company contract is not acceptable
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                oneOf:
                  - description: Company has no contract
                    type: object
                    additionalProperties: false
                    required:
                      - message
                    properties:
                      message:
                        type: string
                        enum:
                          - Company has no contract
                  - description: Company has not paid onboarding fee
                    type: object
                    additionalProperties: false
                    required:
                      - message
                    properties:
                      message:
                        type: string
                        enum:
                          - Company has not paid onboarding fee
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                oneOf:
                  - description: Company not found
                    type: object
                    additionalProperties: false
                    required:
                      - message
                    properties:
                      message:
                        type: string
                        enum:
                          - Company not found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````